import CoEuiLabel from '../../../components/14x/eui-label.js'
import EuiBasePage from './eui-base.po.js'

export default class EuiLabelPage extends EuiBasePage {

  constructor() {
    super();
  }
  labelByIndex(index) {
    return new CoEuiLabel(this.mainContent).byIndex(index);
  }
  labelByTextContains(text) {
    return new CoEuiLabel(this.mainContent).byTextContains(text);
  }
  labelByTextEqualsAndIndex(text, index, normalize = true) {
    return new CoEuiLabel(this.mainContent).byTextEqualsAndIndex(text, index, normalize);
  }
  labelFromSectionById(id) {
    return new CoEuiLabel(this.sectionById(id));
  }
  labelFromSectionWithIdByIndex(id, index) {
    return new CoEuiLabel(this.sectionById(id)).byIndex(index);
  }
}


